#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
    int n, i, j, k, nj, parovi=0;
    cin>>n;
    int x[n], y[n];
    vector<int> z;
    for(i=0;i<n;i++)
        cin>>x[i];
    for(i=0;i<n;i++)
        cin>>y[i];
    for(i=0;i<n;i++){
        cin>>nj;
        z.push_back(nj);
        }
    sort(z.begin(), z.end());
    for(i=0;i<n;i++)
        for(j=0;j<n;j++)
        {
            if(x[i]==y[j])
            {
                for(k=0;k<n;k++)
                {
                    if(z[k]==j+1)
                        parovi++;
                }
            }
        }
    cout<<parovi;
    return 0;
}